Request
Endpoint: !ResendDCVEmail
https://secure.trust-provider.com/products/!ResendDCVEmail
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table lists the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description | ||
|---|---|---|---|---|---|---|
|
required |
string |
64 chars |
The account username. This value is case sensitive. |
||
|
required |
string |
128 chars |
The account password. This value is case sensitive. |
||
|
conditional |
integer |
The order number of a certificate for which Domain Control Validation (DCV) is required. Required if |
|||
|
conditional |
integer |
The base order number previously returned to the account. Required if |
|||
|
optional |
string |
255 chars |
The email address to which the DCV email should now be sent. This email address must be one of the values returned by the GetDCVEmailAddressList API within the last 24 hours. This parameter can be omitted if the DCV email has been sent previously. If omitted, the DCV email will be resent to the same email address to which it was last sent. |
||
|
optional |
integer |
If specified, this overrides Sectigo’s default choice of DCV email template to be used to validate this certificate. Talk to your account manager if you want to set up one or more of your own DCV email templates that can be referenced by this parameter.
|
Sample request
curl --location 'https://secure.trust-provider.com/products/!ResendDCVEmail' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=1234567'
Response
The request is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
Response parameters
The response may contain the following parameters:
| Parameter | Type | Description |
|---|---|---|
|
integer |
The numeric code indicating the result of the request. For more information, see Error codes. |
|
string |
The explanation of the error. |
|
string |
The name of the request parameter that caused the error. This item is relevant to the error codes |
Error codes
The following table outlines error responses returned by the ResendDCVEmail API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The request has failed due to authentication issues. |
|
|
The request method should be |
|
|
The request has failed due to insufficient permissions. |
|
|
DCV emails cannot be resent. |